Loading...
Searching...
No Matches
token64.h File Reference

Token64 encoding. More...

`#include <sofia-sip/su_types.h>`
Include dependency graph for token64.h:

Go to the source code of this file.

## Macros

#define | TOKEN64_SIZE(n)
| Calculate size of n bytes encoded in token-64.

## Functions

isize_t | token64_e (char b[], isize_t bsiz, void const *data, isize_t dlen)
| Encode data as a SIP/HTTP token.

## Detailed Description

Token64 encoding.

This module contains token64 encoding functions. Token64 encodes arbitrary octet strings as http header tokens containing only characters in range ``[-+A-Za-z0-9].

## Function Documentation

## token64_e()

isize_t token64_e | ( | char | b[],
|  | isize_t | bsiz,
|  | void const * | data,
|  | isize_t | dlen )

Encode data as a SIP/HTTP token.

Note
  A token is case-independent, so this is really not a good idea. Use msg_random_token() instead.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.